update-boinc-applinks(1)

NAME
update-boinc-applinks - create/remove symbolic links for anonymous BOINC applications

SYNOPSIS
\FCupdate-boinc-applinks\F[]
[options]

DESCRIPTION
update-boinc-applinks creates (or removes) symbolic links for anonymous BOINC applications and their associated app_info.xml files in a given BOINC data directory.

Note: update-boinc-applinks is an extension for Debian users and is only available in Debian's boinc-client package.

OPTIONS
For a full summary of options, run update-boinc-applinks \FC--help\F[].

\FC-h\F[], \FC--help\F[]
    Show help message and all options.

\FC--create\F[]
    Create symbolic links and project directories.

\FC--remove\F[]
    Remove symbolic links and empty project directories.

\FC--data-dir=\F[]DIR
    Manage symbolic links in the given directory DIR. If this option is not present, DIR defaults to the current working directory.

\FC--project=\F[]PROJECT
    Manage symbolic links only for the given project PROJECT. Run update-boinc-applinks \FC--list-projects\F[] to get a list of projects for which anonymous applications are available and therefore can be replaced with PROJECT. If this option is not present, update-boinc-applinks will manage symbolic links for all available projects.

\FC--list-projects\F[]
    Show a list of projects for which anonymous applications are available. Normally those applications are provided by packages called boinc-app-PROJECT (e.g. boinc-app-seti).

AUTHOR
Written by Frank S. Thomas.

COPYRIGHT
Copyright © 2006, 2013 Debian BOINC Maintainers.

This is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.